
Name:		dclib
Epoch:		0
Version:	0.3.1
Release:	0.lvn.2%{?dist_tag}
Summary:	A library implementing the direct connect protocol
Group:     	System Environment/Libraries
License:	GPL
Url:		http://dcgui.berlios.de/
Source:		http://download.berlios.de/dcgui/dclib-0.3.1.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	libxml2-devel, bzip2-devel, openssl-devel

%description
This library implements the Direct Connect file sharing protocol.
The package contains the shared library required for running programs
based on dclib.

%package devel
Summary: 	Development files for the direct connect library
Group:  	Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pkgconfig
%description devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and static library to compile programs
based on dclib.


%prep
%setup -q


%build
%configure \
  --disable-static \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings }

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/lib*.so*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
#{_libdir}/lib*.a
%{_libdir}/pkgconfig/*
%{_includedir}/%{name}


%changelog
* Sat May 29 2004 Dams <anvil[AT]livna.org> 0:0.3.1-0.lvn.2
- Corrected group
- devel package now requires main package and pkgconfig

* Fri May 03 2003 Noa Resare <noa@resare.com> - 0.3.1-0.lvn.1
- Initial livna release based on packaging by mathen(a)users.berlios.de
